- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Member Functions | List of all members
libvisio::VSD5Parser Class Reference

`#include <VSD5Parser.h>`

Inheritance diagram for libvisio::VSD5Parser:

## Public Member Functions
| VSD5Parser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
| ~VSD5Parser ()
Public Member Functions inherited from libvisio::VSD6Parser
| VSD6Parser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
| ~VSD6Parser ()
Public Member Functions inherited from libvisio::VSDParser
| VSDParser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
virtual | ~VSDParser ()
bool | parseMain ()
bool | extractStencils ()

## Protected Member Functions
virtual void | readPointer (WPXInputStream *input, Pointer &ptr)
virtual bool | getChunkHeader (WPXInputStream *input)
virtual void | readPointerInfo (WPXInputStream *input, unsigned ptrType, unsigned shift, unsigned &listSize, int &pointerCount)
virtual void | readGeomList (WPXInputStream *input)
virtual void | readCharList (WPXInputStream *input)
virtual void | readParaList (WPXInputStream *input)
virtual void | readShapeList (WPXInputStream *input)
virtual void | readPropList (WPXInputStream *input)
virtual void | readFieldList (WPXInputStream *input)
virtual void | readNameList2 (WPXInputStream *input)
virtual void | readLine (WPXInputStream *input)
virtual void | readFillAndShadow (WPXInputStream *input)
virtual void | readTextBlock (WPXInputStream *input)
virtual void | readCharIX (WPXInputStream *input)
virtual void | readTextField (WPXInputStream *input)
virtual void | readShape (WPXInputStream *input)
virtual void | readPage (WPXInputStream *input)
virtual void | handleChunkRecords (WPXInputStream *input)
virtual void | readStyleSheet (WPXInputStream *input)
virtual void | readNameIDX (WPXInputStream *input)
virtual unsigned | getUInt (WPXInputStream *input)
virtual int | getInt (WPXInputStream *input)
Protected Member Functions inherited from libvisio::VSDParser
void | readEllipticalArcTo (WPXInputStream *input)
void | readForeignData (WPXInputStream *input)
void | readEllipse (WPXInputStream *input)
void | readGeometry (WPXInputStream *input)
void | readMoveTo (WPXInputStream *input)
void | readLineTo (WPXInputStream *input)
void | readArcTo (WPXInputStream *input)
void | readNURBSTo (WPXInputStream *input)
void | readPolylineTo (WPXInputStream *input)
void | readInfiniteLine (WPXInputStream *input)
void | readShapeData (WPXInputStream *input)
void | readXFormData (WPXInputStream *input)
void | readTxtXForm (WPXInputStream *input)
void | readShapeId (WPXInputStream *input)
void | readForeignDataType (WPXInputStream *input)
void | readPageProps (WPXInputStream *input)
void | readColours (WPXInputStream *input)
void | readFont (WPXInputStream *input)
void | readFontIX (WPXInputStream *input)
void | readNameList (WPXInputStream *input)
void | readPageSheet (WPXInputStream *input)
void | readSplineStart (WPXInputStream *input)
void | readSplineKnot (WPXInputStream *input)
void | readStencilShape (WPXInputStream *input)
void | readOLEList (WPXInputStream *input)
void | readOLEData (WPXInputStream *input)
virtual void | readNameIDX123 (WPXInputStream *input)
void | readMisc (WPXInputStream *input)
bool | parseDocument (WPXInputStream *input, unsigned shift)
void | handleStreams (WPXInputStream *input, unsigned ptrType, unsigned shift, unsigned level)
void | handleStream (const Pointer &ptr, unsigned idx, unsigned level)
void | handleChunks (WPXInputStream *input, unsigned level)
void | handleChunk (WPXInputStream *input)
void | handleBlob (WPXInputStream *input, unsigned shift, unsigned level)
void | _handleLevelChange (unsigned level)
Colour | _colourFromIndex (unsigned idx)
void | _flushShape ()
void | _nameFromId (VSDName &name, unsigned id, unsigned level)

## Private Member Functions
| VSD5Parser ()
| VSD5Parser (const VSDParser &)
VSD5Parser & | operator= (const VSDParser &)
void | readList (WPXInputStream *input)

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDParser
WPXInputStream * | m_input
libwpg::WPGPaintInterface * | m_painter
ChunkHeader | m_header
VSDCollector * | m_collector
VSDShapeList | m_shapeList
unsigned | m_currentLevel
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
bool | m_isInStyles
unsigned | m_currentShapeLevel
unsigned | m_currentShapeID
bool | m_extractStencils
std::vector< Colour > | m_colours
bool | m_isBackgroundPage
bool | m_isShapeStarted
double | m_shadowOffsetX
double | m_shadowOffsetY
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeomListCount
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDName > | m_names
std::map< unsigned, std::map < unsigned, VSDName > > | m_namesMapMap
VSDName | m_currentPageName

## Constructor & Destructor Documentation

libvisio::VSD5Parser::VSD5Parser | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter
| ) |  |
| explicit

libvisio::VSD5Parser::~VSD5Parser | ( |  | ) |

libvisio::VSD5Parser::VSD5Parser | ( |  | ) |
| private

libvisio::VSD5Parser::VSD5Parser | ( | const VSDParser & |  | ) |
| private

## Member Function Documentation

bool libvisio::VSD5Parser::getChunkHeader | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSD6Parser.

int libvisio::VSD5Parser::getInt | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

unsigned libvisio::VSD5Parser::getUInt | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::handleChunkRecords | ( | WPXInputStream * | input | ) |
| protected virtual

VSD5Parser& libvisio::VSD5Parser::operator= | ( | const VSDParser & |  | ) |
| private

void libvisio::VSD5Parser::readCharIX | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSD6Parser.

void libvisio::VSD5Parser::readCharList | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readFieldList | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readFillAndShadow | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSD6Parser.

void libvisio::VSD5Parser::readGeomList | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readLine | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readList | ( | WPXInputStream * | input | ) |
| private

void libvisio::VSD5Parser::readNameIDX | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readNameList2 | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readPage | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readParaList | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readPointer | ( | WPXInputStream * | input,
|  | Pointer & | ptr
| ) |  |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readPointerInfo | ( | WPXInputStream * | input,
|  | unsigned | ptrType,
|  | unsigned | shift,
|  | unsigned & | listSize,
|  | int & | pointerCount
| ) |  |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readPropList | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readShape | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readShapeList | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readStyleSheet | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readTextBlock | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSDParser.

void libvisio::VSD5Parser::readTextField | ( | WPXInputStream * | input | ) |
| protected virtual

Reimplemented from libvisio::VSD6Parser.

The documentation for this class was generated from the following files:

- VSD5Parser.h
- VSD5Parser.cpp